Spy Shop Black Friday 2017

Android 4.5 ar putea face aplicațiile de rootare să nu funcționeze

Autor:  | Publicat în:  Android 1.645 ori
<b>Android 4.5 ar putea face aplicațiile de rootare să nu funcționeze</b>A început să se vorbească tot mai mult în ultima vreme despre actualizarea la Android 4.5, care cel mai probabil va sosi în luna mai, la Google I/O 2014, odată cu noi terminale Nexus. Ei bine, azi avem vești proaste pentru cei în căutare de root...

A început să se vorbească tot mai mult în ultima vreme despre actualizarea la Android 4.5, care cel mai probabil va sosi în luna mai, la Google I/O 2014, odată cu noi terminale Nexus. Ei bine, azi avem vești proaste pentru cei în căutare de root pentru terminalul lor Android.

Conform unor dezvoltatori și hackeri experți, Android 4.5 ar putea să strice compatibilitatea unor aplicații de rootare. Aparent Google ar folosi un cod care limitează utilizarea acestor softuri. Chainfire, dezvoltatorul din spatele lui SuperSU, StickMount și alte aplicații și utilități de rootare avertizează că următoarea versiune de Android va afecta acest tip de softuri.

încă nu e clar dacă dezvoltatorul se referă la Android 4.5 în sine sau deja la Android 4.4.3, care va sosi destul de curând. Modificările de cod apar la nivel de "AOSP master tree" și previn executarea de fișiere aflate pe partiția /data. Numeroase aplicații de root includ cod binar sau scripturi care extrag aplicațiile fix în partiția /data și le executa pentru root, ceea ce nu va mai funcționa pe viitor, se pare.

Evident, există și o serie de softuri care nu folosesc această metodă și se lucrează deja la workaround-uri, deci problema nu e totuși așa dramatică.

Acest site folosește cookies. Prin navigarea pe acest site, vă exprimați acordul asupra folosirii cookie-urilor. Citește mai mult×